Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.opengl.util
Class FBObject

    java.lang.Object
      com.sun.opengl.util.FBObject

    public class FBObject

extends Object

Field Summary
`static int` | `ATTR_DEPTH`
`static int` | `ATTR_STENCIL`

Constructor Summary
`FBObject(int width, int height, int attributes)`

Method Summary
`void` | `bind(GL gl)`
`void` | `destroy(GL gl)`
`int` | `getFBName()`
`static int` | `getStatus(GL gl, int fb)`
`String` | `getStatusString()`
`static String` | `getStatusString(int fbStatus)`
`int` | `getTextureName()`
`void` | `init(GL gl)`
`void` | `init(GL gl, int textureInternalFormat, int textureDataFormat, int textureDataType)`
`void` | `unbind(GL gl)`
`void` | `use(GL gl)`
`boolean` | `validateStatus(GL gl)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTR_DEPTH

    public static final int ATTR_DEPTH

See Also:
  Constant Field Values

### ATTR_STENCIL

    public static final int ATTR_STENCIL

See Also:
  Constant Field Values

Constructor Detail

### FBObject

    public FBObject(int width,
                    int height,
                    int attributes)

Method Detail

### validateStatus

    public boolean validateStatus(GL gl)

### getStatus

    public static int getStatus(GL gl,
                                int fb)

### getStatusString

    public String getStatusString()

### getStatusString

    public static String getStatusString(int fbStatus)

### init

    public void init(GL gl)

### init

    public void init(GL gl,
                     int textureInternalFormat,
                     int textureDataFormat,
                     int textureDataType)

### destroy

    public void destroy(GL gl)

### bind

    public void bind(GL gl)

### unbind

    public void unbind(GL gl)

### use

    public void use(GL gl)

### getFBName

    public int getFBName()

### getTextureName

    public int getTextureName()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.